跳转到内容

获取订单列表

POST /app/order/cloud/list

只返回当前应用绑定供应商的订单。云仓没有新订单推送,需要定时拉取:建议每 5~10 分钟调用一次,传 status=1(待发货)并配合 time_type=1 + start_at/end_at 按付款时间分段拉取,pageSize 建议不超过 100。

请求体为 JSON

字段名称类型是否必须
order_sn订单编号string否
third_order_sn第三方订单号string否
pay_sn支付单号string否
shipping_sn快递单号string否
user_id用户idint否
nick_name用户昵称string否
user_name用户名称string否
user_mobile用户手机号string否
status0待支付 1待发货 2待收货 3已完成 -1已关闭 5退换货 6已退款int否
product_title商品名称string否
time_typestart_at/end_at 对应的时间字段:0下单时间(默认) 1付款时间 2发货时间 3完成时间int否
start_at开始时间,格式 2026-01-01 00:00:00string否
end_at结束时间,格式 2026-01-01 23:59:59string否
page页数int是
pageSize每页个数,建议不超过100int是

金额单位都是分

字段 名称 类型 是否必须
id 订单id
created_at 下单时间
order_sn 订单编号
third_order_sn 第三方订单号
title 标题
status 订单状态 0待支付 1待发货 2待收货 3已完成,-1已关闭
amount 订单总金额(分)
item_amount 商品市场价(分)
supply_amount 供货金额(分)
cost_amount 成本金额(分)
freight 运费(分)
service_fee 服务费(分)
goods_count 商品总数
send_status 发货状态 0待发货 1已全部发货
remark 买家留言
note 商家备注
technical_services_fee 技术服务费(分)
paid_at 支付时间
sent_at 发货时间
received_at 收货时间
closed_at 关闭时间
user_id 用户id
supplier_id 供应商id
gather_supply_id 供应链id
application_id 应用id
trade_id 交易id
pay_type_id 订单支付方式 支付方式看pay_type字段即可会返回名称
pay_type 支付方式 文字版
pay_info_id 支付记录id
shipping_method_id 配送方式id
amount_detail 订单价格汇总 array
order_items 子订单信息
order_express 物流内容 物流详情需要请求物流详情API array
user 用户内容 名称 id array
shipping_address 收货地址 array

amount_detail:

字段 名称 类型 是否必须
title 名称:订单总价
amount 价格
qty 数量
amount_items 费用详情 amount_items

amount_items

字段 名称 类型 是否必须
title 名称:订单总价
amount 价格
qty 数量
amount_items 费用详情 amount_items

shipping_address

字段 名称 类型 是否必须
realname 真实姓名
mobile 联系方式
province 省
city 市
county 区
town 街道
detail 详情

order_items

字段 名称 类型 是否必须
id 子订单ID int

title

string 商品名称
sku_title string 商品sku名称
price string 售价
cost_amount int 成本
supply_amount int 供货金额
payment_amount int 均摊支付金额(分
amount int 总价
qty int 商品个数
freight int 运费
image_url int 商品图片
supplier array 门店数据 只有名称和logo
gather_supply array 供应链数据 只有名称和logo
options array 商品规格已选
user array 用户数据id和与会员等级
product_id array 商品id
sku_id array 商品规格id
amount_detail array 金额信息
after_sales array 用户申请的售后内容

refund_status

退货退款状态状态 1正常 2售后中 3完成

after_sales

字段 类型 是否必须
id 售后id
staus 售后状态 0待审核1待发货2待收货3待退款4已完成5待商家发货6待用户收货-1关闭
status_ 售后状态名称
amount 退款金额
technical_services_fee 退款的服务费
freight 退款的运费
logs 协商日志
{
"code": 0,
"data": {
"list": [
{
"id": 392,
"created_at": 1635995097,
"updated_at": 1635995464,
"order_sn": 179959460952,
"third_order_sn": "",
"key": "12-0-44-1",
"title": " ceshi0802",
"status": 1,
"amount": 9236,
"item_amount": 7920,
"supply_amount": 9900,
"cost_amount": 900,
"freight": 1000,
"service_fee": 0,
"goods_count": 1,
"send_status": 0,
"remark": "测试",
"note": "",
"technical_services_fee": 316,
"paid_at": 1635995464,
"sent_at": null,
"received_at": null,
"closed_at": null,
"user_id": 13,
"supplier_id": 12,
"gather_supply_id": 0,
"application_id": 0,
"trade_id": 0,
"pay_type_id": 2,
"pay_info_id": 842,
"shipping_method_id": 1,
"shipping_address_id": 329,
"send_type_id": 0,
"comment_status": 0,
"amount_detail": {
"title": "订单总价",
"amount": 9236,
"qty": 0,
"desc": "",
"amount_items": [
{
"title": "商品总价",
"amount": 7920,
"qty": 0,
"desc": "",
"amount_items": null
},
{
"title": "技术服务费",
"amount": 316,
"qty": 0,
"desc": "服务费比例400",
"amount_items": null
},
{
"title": "总运费",
"amount": 1000,
"qty": 0,
"desc": "",
"amount_items": null
}
]
},
"order_items": [
{
"id": 475,
"created_at": 1635995097,
"updated_at": 1635995097,
"key": "",
"title": "不限食--压片糖果",
"sku_title": "默认",
"unit": "",
"qty": 1,
"amount": 7920,
"payment_amount": 7920,
"discount_amount": 0,
"deduction_amount": 0,
"cost_amount": 900,
"supply_amount": 9900,
"image_url": "http://shop/static/upload/images/5/2021/11/fef6b8c4a35ba1554233d929a473eebd.png",
"send_status": 0,
"trade_id": 0,
"supplier_id": 12,
"user_id": 13,
"order_id": 392,
"product_id": 1028725,
"sku_id": 21122,
"original_sku_id": 0,
"order_express_id": 0,
"amount_detail": {
"title": "",
"amount": 0,
"qty": 0,
"desc": "",
"amount_items": [
{
"title": "商品总价",
"amount": 7920,
"qty": 0,
"desc": "",
"amount_items": []
}
]
},
"options": [
{
"spec_name": "默认",
"spec_item_name": "默认"
}
],
"sku": {
"id": 0,
"created_at": null,
"updated_at": null,
"title": "",
"price": 0,
"cost_price": 0,
"origin_price": 0,
"guide_price": 0,
"activity_price": 0,
"stock": 0,
"weight": 0,
"is_display": 0,
"product_id": 0,
"supplier_id": 0,
"sn": "",
"image_url": "",
"options": null,
"original_sku_id": 0
}
}
],
"order_express": {
"id": 0,
"created_at": null,
"updated_at": null,
"order_id": 0,
"company_code": "",
"express_no": "",
"order_items": null
},
"user": {
"id": 13,
"nickname": "3213213",
"mobile": "",
"avatar": ""
},
"shipping_address": {
"id": 329,
"realname": "张",
"mobile": "18249104358",
"country_id": 86,
"province_id": 11,
"city_id": 1101,
"county_id": 110105,
"town_id": 110105003,
"province": "北京市",
"city": "市辖区",
"county": "朝阳区",
"town": "呼家楼街道",
"detail": "测试",
"lng": "",
"lat": ""
},
"shipping_method": {
"id": 0,
"name": "",
"code": ""
},
"supplier": {
"id": 12,
"name": " ceshi0802",
"supplier": "18249104358"
},
"gather_supply": {
"id": 0,
"name": "",
"logo": ""
},
"pay_info": {
"id": 842,
"pay_sn": "179959501772",
"status": "1"
},
"button": [
{
"title": "确认发货",
"url": "order/send"
}
],
"shop_name": "供应商: ceshi0802",
"pay_type": "站内余额",
"application": {
"id": 0,
"app_name": ""
}
},
{
"id": 391,
"created_at": 1635994940,
"updated_at": 1635995006,
"order_sn": 179959443791,
"third_order_sn": "",
"key": "12-0-44-1",
"title": " ceshi0802",
"status": 1,
"amount": 9236,
"item_amount": 7920,
"supply_amount": 9900,
"cost_amount": 900,
"freight": 1000,
"service_fee": 0,
"goods_count": 1,
"send_status": 0,
"remark": "测试",
"note": "",
"technical_services_fee": 316,
"paid_at": 1635995006,
"sent_at": null,
"received_at": null,
"closed_at": null,
"user_id": 13,
"supplier_id": 12,
"gather_supply_id": 0,
"application_id": 0,
"trade_id": 0,
"pay_type_id": -1,
"pay_info_id": 839,
"shipping_method_id": 1,
"shipping_address_id": 328,
"send_type_id": 0,
"comment_status": 0,
"amount_detail": {
"title": "订单总价",
"amount": 9236,
"qty": 0,
"desc": "",
"amount_items": [
{
"title": "商品总价",
"amount": 7920,
"qty": 0,
"desc": "",
"amount_items": null
},
{
"title": "技术服务费",
"amount": 316,
"qty": 0,
"desc": "服务费比例400",
"amount_items": null
},
{
"title": "总运费",
"amount": 1000,
"qty": 0,
"desc": "",
"amount_items": null
}
]
},
"order_items": [
{
"id": 474,
"created_at": 1635994940,
"updated_at": 1635994940,
"key": "",
"title": "不限食--压片糖果",
"sku_title": "默认",
"unit": "",
"qty": 1,
"amount": 7920,
"payment_amount": 7920,
"discount_amount": 0,
"deduction_amount": 0,
"cost_amount": 900,
"supply_amount": 9900,
"image_url": "http://shop/static/upload/images/5/2021/11/fef6b8c4a35ba1554233d929a473eebd.png",
"send_status": 0,
"trade_id": 0,
"supplier_id": 12,
"user_id": 13,
"order_id": 391,
"product_id": 1028725,
"sku_id": 21122,
"original_sku_id": 0,
"order_express_id": 0,
"amount_detail": {
"title": "",
"amount": 0,
"qty": 0,
"desc": "",
"amount_items": [
{
"title": "商品总价",
"amount": 7920,
"qty": 0,
"desc": "",
"amount_items": []
}
]
},
"options": [
{
"spec_name": "默认",
"spec_item_name": "默认"
}
],
"sku": {
"id": 0,
"created_at": null,
"updated_at": null,
"title": "",
"price": 0,
"cost_price": 0,
"origin_price": 0,
"guide_price": 0,
"activity_price": 0,
"stock": 0,
"weight": 0,
"is_display": 0,
"product_id": 0,
"supplier_id": 0,
"sn": "",
"image_url": "",
"options": null,
"original_sku_id": 0
}
}
],
"order_express": {
"id": 0,
"created_at": null,
"updated_at": null,
"order_id": 0,
"company_code": "",
"express_no": "",
"order_items": null
},
"user": {
"id": 13,
"nickname": "3213213",
"mobile": "",
"avatar": ""
},
"shipping_address": {
"id": 328,
"realname": "张",
"mobile": "18249104358",
"country_id": 86,
"province_id": 11,
"city_id": 1101,
"county_id": 110105,
"town_id": 110105003,
"province": "北京市",
"city": "市辖区",
"county": "朝阳区",
"town": "呼家楼街道",
"detail": "测试",
"lng": "",
"lat": ""
},
"shipping_method": {
"id": 0,
"name": "",
"code": ""
},
"supplier": {
"id": 12,
"name": " ceshi0802",
"supplier": "18249104358"
},
"gather_supply": {
"id": 0,
"name": "",
"logo": ""
},
"pay_info": {
"id": 839,
"pay_sn": "179959451499",
"status": "0"
},
"button": [
{
"title": "确认发货",
"url": "order/send"
}
],
"shop_name": "供应商: ceshi0802",
"pay_type": "后台支付",
"application": {
"id": 0,
"app_name": ""
}
}
],
"total": 2,
"page": 1,
"pageSize": 3,
"next_url": ""
},
"msg": "获取成功"
}